package cn.quant.baa.pay.acquirer;

import com.fasterxml.jackson.databind.JsonNode;

/**
 * Created by Administrator on 2021/9/22 0022.
 */
public class ChannelResponse {
    private boolean success;

    private String orderNo;

    private String code;

    private String message;

    private String requestId;
    //当前使用的微信平台证书序列号
    private String serial;
    //微信服务器的时间戳
    private String timestamp;
    //微信服务器提供的随机串
    private String nonce;
    //微信平台签名
    private String signature;

    private String notification;

    private JsonNode node;

    public boolean getSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getNonce() {
        return nonce;
    }

    public void setNonce(String nonce) {
        this.nonce = nonce;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getNotification() {
        return notification;
    }

    public void setNotification(String notification) {
        this.notification = notification;
    }

    public JsonNode getNode() {
        return node;
    }

    public void setNode(JsonNode node) {
        this.node = node;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("ChannelResponse{");
        sb.append("success=").append(success);
        sb.append(", code='").append(code).append('\'');
        sb.append(", message='").append(message).append('\'');
        sb.append(", requestId='").append(requestId).append('\'');
        sb.append(", serial='").append(serial).append('\'');
        sb.append(", timestamp='").append(timestamp).append('\'');
        sb.append(", nonce='").append(nonce).append('\'');
        sb.append(", signature='").append(signature).append('\'');
        sb.append(", notification='").append(notification).append('\'');
        sb.append(", node=").append(node);
        sb.append('}');
        return sb.toString();
    }
}
